Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy
Class AssertionInfoMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<QName,Collection<AssertionInfo>>
              org.apache.cxf.ws.policy.AssertionInfoMap

All Implemented Interfaces:
  Serializable, Cloneable, Map<QName,Collection<AssertionInfo>>

    public class AssertionInfoMap

extends HashMap<QName,Collection<AssertionInfo>>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`AssertionInfoMap(Collection<PolicyAssertion> assertions)`
`AssertionInfoMap(org.apache.neethi.Policy p)`

Method Summary
`void` | `check()`
`void` | `checkEffectivePolicy(org.apache.neethi.Policy policy)`
`Collection<AssertionInfo>` | `getAssertionInfo(QName name)`
`boolean` | `supportsAlternative(Collection<PolicyAssertion> alternative, List<QName> errors)`
`boolean` | `supportsAlternative(PolicyAssertion assertion, List<QName> errors)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### AssertionInfoMap

    public AssertionInfoMap(org.apache.neethi.Policy p)

### AssertionInfoMap

    public AssertionInfoMap(Collection<PolicyAssertion> assertions)

Method Detail

### getAssertionInfo

    public Collection<AssertionInfo> getAssertionInfo(QName name)

### supportsAlternative

    public boolean supportsAlternative(PolicyAssertion assertion,
                                       List<QName> errors)

### supportsAlternative

    public boolean supportsAlternative(Collection<PolicyAssertion> alternative,
                                       List<QName> errors)

### checkEffectivePolicy

    public void checkEffectivePolicy(org.apache.neethi.Policy policy)

### check

    public void check()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF